GET action not supported
get
/fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds shipment line change requests according to the primary key criteria.
Finder Variables- TransactionId; integer; Value that uniquely identifies the shipment line change request.
- PrimaryKey Finds shipment line change requests according to the primary key criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- CreatedBy; string; User who created the shipment line change request.
- CreationDate; string; Date when the shipment line change request was created.
- LastUpdateDate; string; Date when the shipment line change request was last updated.
- LastUpdatedBy; string; User who most recently updated the shipment line change request.
- TransactionId; integer; Value that uniquely identifies the shipment line change request.
- TransactionStatus; string; Value that indicates the status of the transaction. A list of accepted values is defined in the lookup type WSH_TXN_STATUS.
- TransactionStatusCode; string; Abbreviation that identifies the status of the transaction. A list of accepted values is defined in the lookup type WSH_TXN_STATUS.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : shipmentLineChangeRequests
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-item-response
Type:
Show Source
object-
ActionCode: string
Value that uniquely identifies the action to be run for this transaction request. Valid value is UpdateAttributes.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the shipment line change request. -
CreationDate: string
(date-time)
Read Only:
trueDate when the shipment line change request was created. -
EnforceFullLPNFlag: boolean
Maximum Length:
5Contains one of the following values: true or false. If true, the partial LPN transaction isn't allowed for the line. If false, the partial LPN transaction is allowed. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the shipment line change request was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the shipment line change request. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
shipmentLines: array
Shipment Lines
Title:
Shipment LinesThe Shipment Lines resource manages details about the shipment lines. -
TransactionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the shipment line change request. -
TransactionStatus: string
Read Only:
trueValue that indicates the status of the transaction. A list of accepted values is defined in the lookup type WSH_TXN_STATUS. -
TransactionStatusCode: string
Read Only:
trueMaximum Length:2Default Value:APAbbreviation that identifies the status of the transaction. A list of accepted values is defined in the lookup type WSH_TXN_STATUS.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Shipment Lines
Type:
arrayTitle:
Shipment LinesThe Shipment Lines resource manages details about the shipment lines.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : shipmentLineChangeRequests-shipmentLines-item-response
Type:
Show Source
object-
AssessableValue: number
Value of the item. Each tax authority can use a different assessable value for each item. The tax authority uses this attribute for taxation purposes.
-
attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
BackorderedQuantity: number
Quantity that the application withholds from processing until inventory becomes available.
-
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the shipment line interface record. -
CreationDate: string
(date-time)
Read Only:
trueDate when the shipment line interface record was created. -
DeliveryCartId: integer
(int64)
Value that uniquely identifies the delivery cart.
-
DFF: array
DFF
-
DocumentFiscalClassification: string
Maximum Length:
240Value that indicates the document fiscal classification. -
FirstPartyTaxRegistrationNumber: string
Maximum Length:
30Number that identifies tax registration for the first party of the transaction. The tax authority uses this attribute for taxation purposes. -
FromLPNId: integer
(int64)
Value that uniquely identifies the LPN from which material is to be consumed.
-
GrossWeight: number
Gross weight of the shipment line.
-
IntendedUse: string
Maximum Length:
30Name of the intended use classification. -
ItemRevision: string
Maximum Length:
18Revision of the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the shipment line interface record was most recently updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the shipment line interface record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LoadingSequence: number
Sequence to use when loading the shipment line.
-
LocationOfFinalDischargeCode: string
Maximum Length:
60Abbreviation that identifies the final discharge location. -
LocationOfFinalDischargeId: integer
(int64)
Value that uniquely identifies the location of the final discharge.
-
Locator: string
Maximum Length:
2000Locator to use for shipping material to fulfill the line. -
Lot: string
Maximum Length:
80Number that identifies the lot for the item. The application uses this attribute when the warehouse places the item under lot control. -
NetWeight: number
Net weight of the shipment line.
-
notes: array
Notes
Title:
NotesThe note objects resource is used to view the note objects. -
ProductCategory: string
Maximum Length:
240Product category of the transaction line. -
ProductFiscalClassification: string
Maximum Length:
250Product fiscal classification of the transaction line. -
ProductTypeCode: string
Maximum Length:
240Abbreviation that identifies the product type of the inventory item. -
SealNumber: string
Maximum Length:
30Number that identifies the seal on a packing unit, locker, or truck to prove that the container remained closed during transport. -
SecondaryBackorderedQuantity: number
Quantity in the secondary unit of measure for the item that the application withheld from processing until inventory becomes available.
-
SecondaryShippedQuantity: number
Shipped quantity, in the secondary unit of measure.
-
serials: array
Serials
Title:
SerialsThe Serials resource manages details about serial numbers for items in shipment lines. -
ShipmentLine: integer
(int64)
Value that uniquely identifies the shipment line.
-
ShippedQuantity: number
Shipped quantity in the requested unit of measure.
-
SourceName: string
Maximum Length:
50Unique identifier for the source that created the shipment line change request. -
SrcAttribute1: string
Maximum Length:
150Value that identifies the category for the source application descriptive flexfields. -
SrcAttribute10: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the first user descriptive flexfield. -
SrcAttribute11: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the second user descriptive flexfield. -
SrcAttribute12: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the third user descriptive flexfield. -
SrcAttribute13: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the fourth user descriptive flexfield. -
SrcAttribute14: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the fifth user descriptive flexfield. -
SrcAttribute15: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the sixth user descriptive flexfield. -
SrcAttribute16: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the seventh user descriptive flexfield. -
SrcAttribute17: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the eighth user descriptive flexfield. -
SrcAttribute18: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the ninth user descriptive flexfield. -
SrcAttribute19: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the tenth user descriptive flexfield. -
SrcAttribute2: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the eleventh user descriptive flexfield. -
SrcAttribute20: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the twelfth user descriptive flexfield. -
SrcAttribute3: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the thirteenth user descriptive flexfield. -
SrcAttribute4: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the fourteenth user descriptive flexfield. -
SrcAttribute5: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the fifteenth user descriptive flexfield. -
SrcAttribute6: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the sixteenth user descriptive flexfield. -
SrcAttribute7: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the seventeenth user descriptive flexfield. -
SrcAttribute8: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the eighteenth user descriptive flexfield. -
SrcAttribute9: string
Maximum Length:
150Value that indicates the source application descriptive flexfield segment of the nineteenth user descriptive flexfield. -
SrcAttributeCategory: string
Maximum Length:
30Value that indicates the source application descriptive flexfield segment of the twentieth user descriptive flexfield. -
SrcAttributeDate1: string
(date)
Number that indicates the source application descriptive flexfield segment of the first user descriptive flexfield.
-
SrcAttributeDate2: string
(date)
Number that indicates the source application descriptive flexfield segment of the second user descriptive flexfield.
-
SrcAttributeDate3: string
(date)
Number that indicates the source application descriptive flexfield segment of the third user descriptive flexfield.
-
SrcAttributeDate4: string
(date)
Number that indicates the source application descriptive flexfield segment of the fourth user descriptive flexfield.
-
SrcAttributeDate5: string
(date)
Number that indicates the source application descriptive flexfield segment of the fifth user descriptive flexfield.
-
SrcAttributeNumber1: number
Number that indicates the source application descriptive flexfield segment of the sixth user descriptive flexfield.
-
SrcAttributeNumber10: number
Number that indicates the source application descriptive flexfield segment of the seventh user descriptive flexfield.
-
SrcAttributeNumber2: number
Number that indicates the source application descriptive flexfield segment of the eighth user descriptive flexfield.
-
SrcAttributeNumber3: number
Number that indicates the source application descriptive flexfield segment of the ninth user descriptive flexfield.
-
SrcAttributeNumber4: number
Number that indicates the source application descriptive flexfield segment of the tenth user descriptive flexfield.
-
SrcAttributeNumber5: number
Date that indicates the source application descriptive flexfield segment of the first user descriptive flexfield.
-
SrcAttributeNumber6: number
Date that indicates the source application descriptive flexfield segment of the second user descriptive flexfield.
-
SrcAttributeNumber7: number
Date that indicates the source application descriptive flexfield segment of the third user descriptive flexfield.
-
SrcAttributeNumber8: number
Date that indicates the source application descriptive flexfield segment of the fourth user descriptive flexfield.
-
SrcAttributeNumber9: number
Date that indicates the source application descriptive flexfield segment of the fifth user descriptive flexfield.
-
SrcAttributeTimestamp1: string
(date-time)
Date and time that indicates the source application descriptive flexfield segment of the first user descriptive flexfield.
-
SrcAttributeTimestamp2: string
(date-time)
Date and time that indicates the source application descriptive flexfield segment of the second user descriptive flexfield.
-
SrcAttributeTimestamp3: string
(date-time)
Date and time that indicates the source application descriptive flexfield segment of the third user descriptive flexfield.
-
SrcAttributeTimestamp4: string
(date-time)
Date and time that indicates the source application descriptive flexfield segment of the fourth user descriptive flexfield.
-
SrcAttributeTimestamp5: string
(date-time)
Date and time that indicates the source application descriptive flexfield segment of the fifth user descriptive flexfield.
-
Subinventory: string
Maximum Length:
10Subinventory to use for shipping material to fulfill the line. -
SubinventoryName: string
Maximum Length:
30Name of the subinventory to be used for shipping material to fulfill the line. -
TaxationCountry: string
Maximum Length:
80Country where the transaction occurs. The tax authority uses this attribute for taxation purposes. -
TaxClassificationCode: string
Maximum Length:
50Abbreviation that identifies a group of taxes for reporting and processing. The tax authority uses this attribute for taxation purposes. -
TaxExemptionCertificateNumber: string
Maximum Length:
80Number that identifies the certificate for tax exemption. The tax authority uses this attribute for taxation purposes. -
TaxExemptionReasonCode: string
Maximum Length:
30Abbreviation that identifies the reason for tax exemption. The tax authority uses this attribute for taxation purposes. -
TaxInvoiceDate: string
(date)
Date and time of the tax invoice that you use to meet tax reporting that different countries require.
-
TaxInvoiceNumber: string
Maximum Length:
150Number of the tax invoice that you use to meet tax reporting that different countries require. -
ThirdPartyTaxRegistrationNumber: string
Maximum Length:
30Number that identifies tax registration for the third party of the transaction. The tax authority uses this attribute for taxation purposes. -
ToLPNId: integer
(int64)
Value that uniquely identifies the LPN to which material is to be moved.
-
TrackingNumber: string
Maximum Length:
30Number that uniquely identifies the tracking for the shipment during transportation. The carrier provides this number. -
TradeComplianceStatusCode: string
Maximum Length:
30Abbreviation that identifies the status of trade compliance screening for the shipment line. -
TransactionBusinessCategory: string
Maximum Length:
240Name of the business classification. Oracle Fusion Tax uses this value to identify and categorize each transaction that resides outside of Oracle Fusion Tax into a transaction that resides inside Oracle Fusion Tax. -
TransactionBusinessCategoryConcatCode: string
Maximum Length:
240Concatenation of the parent transaction business category code and the corresponding child transaction business category code. -
UserDefinedFiscalClassificationCode: string
Maximum Length:
30Abbreviation that identifies the classification for each tax requirement that you can't define using the fiscal classification types that already exist. -
Volume: number
Volume of the material for the shipment line.
-
wshInvStripingDFF: array
wshInvStripingDFF
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Notes
Type:
arrayTitle:
NotesThe note objects resource is used to view the note objects.
Show Source
Nested Schema : Serials
Type:
arrayTitle:
SerialsThe Serials resource manages details about serial numbers for items in shipment lines.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-DFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
DeliveryDetailInterfaceId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-notes-item-response
Type:
Show Source
object-
ContactRelationshipId: integer
(int64)
Title:
Contact Relationship IDThe relationship ID populated when the note is associated with a contact. -
CorpCurrencyCode: string
Title:
Corporate Currency CodeMaximum Length:15The corporate currency code for extensibility. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
CreatorPartyId: integer
(int64)
Title:
Creator Party IDThe unique identifier of the party. -
CurcyConvRateType: string
Title:
Currency Conversion Rate TypeMaximum Length:30The currency conversion rate type for extensibility. -
CurrencyCode: string
Title:
CurrencyMaximum Length:15The currency code for extensibility. -
DeleteFlag: boolean
Title:
Delete IndicatorRead Only:trueIndicates whether the user has access to delete the note. -
EmailAddress: string
Read Only:
trueMaximum Length:320The email address of the user who created the note. -
FormattedAddress: string
Read Only:
trueThe address of the user who created the note. -
FormattedPhoneNumber: string
Read Only:
trueThe phone number of the user who created the note. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The unique identifier of the note. This is the primary key of the notes table. -
LastUpdateLogin: string
Title:
Last Update LoginRead Only:trueMaximum Length:32The login of the user who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoteId: integer
(int64)
Title:
Note IDRead Only:trueThe unique identifier of the note. This is the primary key of the notes table. -
NoteNumber: string
Maximum Length:
30The alternate unique identifier of the note. A user key that's system generated or from an external system. -
NoteTitle: string
Title:
TitleMaximum Length:500The title of the note entered by the user. -
NoteTxt: string
(byte)
Title:
NoteThe column which stores the actual note text. -
NoteTypeCode: string
Title:
TypeMaximum Length:30The note type code for categorization of note. -
ParentNoteId: integer
(int64)
Title:
Parent Note IDThe unique identifier of the note. This is the primary key of the notes table. -
PartyId: integer
(int64)
Read Only:
trueThe unique identifier of the party. -
PartyName: string
Title:
AuthorRead Only:trueMaximum Length:360The name of the party. -
SourceObjectCode: string
Title:
Related Object TypeMaximum Length:30This is the source object code for the source object as defined in OBJECTS Metadata. -
SourceObjectId: string
Title:
Related ObjectMaximum Length:64The unique identifier of the parent source object associated to the note. -
SourceSystem: string
Title:
Source SystemMaximum Length:30This is the source object code for the source object as defined in OBJECTS Metadata. -
UpdateFlag: boolean
Title:
Update IndicatorRead Only:trueIndicates whether the user can update the note. -
VisibilityCode: string
Title:
PrivateMaximum Length:30Default Value:INTERNALThe attribute to specify the visibility level of the note. It indicates whether the note is internal, external, or private.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-item-response
Type:
Show Source
object-
attributeDFF: array
attributeDFF
-
FromSerialNumber: string
Maximum Length:
80Starting serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcessMode: number
Indicate when the serial is added, deleted, or modified. The valid values are 1, 2, and 3. If the value is 1, then the serial number from the request is added to the shipment line. If the value is 2, then the serial number information from the request is updated. If the value is 3, then the serial number is removed from the shipment line. If a value isn't provided, then the serial numbers assigned to the shipment lines are removed and replaced with the serial numbers in the request.
-
standardDFF: array
standardDFF
-
ToSerialNumber: string
Maximum Length:
80Ending serial number in a range of serial numbers. The application uses this attribute when the warehouse places the item under serial control.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-attributeDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-serials-standardDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
FromSerialNumber: string
Maximum Length:
80 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
TransactionInterfaceId: integer
(int64)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : shipmentLineChangeRequests-shipmentLines-wshInvStripingDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:40Context Segment -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
countryOfOriginCode: string
Title:
Country of OriginMaximum Length:2Country of Origin -
countryOfOriginCode_Display: string
Title:
Country of OriginCountry of Origin -
DeliveryDetailInterfaceId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
projectId: integer
(int64)
Title:
ProjectProject -
projectId_Display: string
Title:
ProjectProject -
taskId: integer
(int64)
Title:
TaskTask -
taskId_Display: string
Title:
TaskTask
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- assign
-
Adds the shipment lines or packing units in a shipment. Optionally, a shipment line or packing unit assigned to another shipment can be added by unassigning it from the current shipment and adding it to the specified shipment.
- autoCreate
-
Creates shipments for the shipment lines or packing units.
- autoPack
-
Packs the shipment lines and packing unit based on the default packing configuration.
- backorderAll
-
Backorders the selected shipment lines that are in staged status or interfaced with the WMS.
- backorderLine
-
Backorders a shipment line according to the shipment line number. The input parameters can include the quantity to be backordered.
- backorderLineFromLPN
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/backorderLineFromLPNBackorders a shipment line that's packed in an LPN and unassigns the line from the LPN.
- changeTransportationPlan
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/changeTransportationPlanChanges the transportation plan for the specified shipment lines.
- checkTradeCompliance
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/checkTradeComplianceSends the shipment lines or packing units to the trade management system for trade compliance screening.
- confirm
-
Ship confirms the quick-ship eligible shipment lines for an organization that's enabled for quick ship.
- cycleCount
-
Transfers the shipment line to cycle counting.
- cycleCountAll
-
Backorders the shipment lines associated with the LPN and creates cycle count reservations for the LPN content.
- cycleCountLineFromLPN
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/cycleCountLineFromLPNBackorders the shipment lines, unassigns the lines and quantities from the LPN, and creates cycle count reservations for the backordered content.
- generateShipmentRequest
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/generateShipmentRequestSelects and sends shipment lines to external applications such as a warehouse management system and also indicates the lines as interfaced. The shipment lines are selected using input parameters, assigned to a picking batch, and their integration status is set to interfaced. The input parameters can be an existing picking batch name, an organization code, or a pick wave release rule.
- loadAssignments
-
Assigns shipment lines and packing units to a load. Supported actions include assigning and unassigning them from a load, as well as automatically creating a load for shipment lines and packing units.
- pack
-
Packs the shipment lines or packing units into a packing unit.
- pickRelease
-
Pick releases the shipment lines or packing units by submitting Release Pick Wave scheduled process.
- rePackLPN
-
Transfers the shipment line from one LPN to another. This is used only for LPN-enabled organizations.
- resetIntegrationStatus
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/resetIntegrationStatusReset the integration status of the shipment lines that are interfaced with the external execution system.
- resetQuickshipStatus
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/resetQuickshipStatusClears the quick ship status for the selected shipment lines.
- resetWeightVolume
-
Resets the weight and volume to default value on the shipment lines and packing units.
- split
-
Splits a shipment line. When splitting a shipment line, a new line is created for the specified quantity by copying the existing line, and the quantity in the original line is reduced.
- splitToMultipleLines
-
Operation: /fscmRestApi/resources/11.13.18.05/shipmentLineChangeRequests/action/splitToMultipleLinesSplits a shipment line into multiple lines. When a shipment line is split, a new line is created for the specified quantity by copying the existing line and reducing the quantity in the original line.
- stage
-
Stages the quick-ship eligible shipment lines for an organization that's enabled for quick ship.
- submitForApproval
-
Submits quick-ship eligible shipment lines for the E-Record and E-Signature approval processes.
- unassign
-
Unassigns the shipment lines or packing units from a shipment. Optionally, you can reassign the shipment lines or packing numbers from a shipment to a different shipment in a single step.
- unpack
-
Unpacks shipment lines or packing units from their parent unit.